Global("View", { })

View.widget = mainForm

View.Sample = { }
View.Sample.widget = View.widget:GetChildChecked("Sample", false)
View.Sample.Values = { }
View.Sample.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Sample.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Sample.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Sample.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Sample.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Sample.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Sample.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Sample.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
View.Sample.setVal = function(self, tag, value)
  self.widget:SetVal(tag, value)
  self.Values[tag] = value
end
View.Sample.getVal = function(self, tag)
  return self.Values[tag]
end
View.Sample.setFormat = function(self, format)
  self.widget:SetFormat(format)
end
View.Sample:setMargin(0, 0, 0, 0)
View.Sample:setSize(200, 20)
View.Sample:setAlignment(WIDGET_ALIGN_LOW, WIDGET_ALIGN_LOW)
View.Point = { }
View.Point.widget = View.widget:GetChildChecked("Point", false)
View.Point.Values = { }
View.Point.setPosition = function(self, x, y)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = x
  placement.posY = y
  self.widget:SetPlacementPlain(placement)
end
View.Point.getPosition = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { posX = placement.posX, posY = placement.posY }
end
View.Point.setMargin = function(self, left, top, right, bottom)
  local placement = self.widget:GetPlacementPlain ()
  placement.posX = left
  placement.posY = top
  placement.highPosX = right
  placement.highPosY = bottom
  self.widget:SetPlacementPlain(placement)
end
View.Point.getMargin = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { left = placement.posX, top = placement.posY, right = placement.highPosX, bottom = placement.highPosY }
end
View.Point.setSize = function(self, width, height)
  local placement = self.widget:GetPlacementPlain ()
  placement.sizeX = width
  placement.sizeY = height
  self.widget:SetPlacementPlain(placement)
end
View.Point.getSize = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { width = placement.sizeX, height = placement.sizeY }
end
View.Point.setAlignment = function(self, horizontalAlignment, verticalAlignment)
  local placement = self.widget:GetPlacementPlain ()
  placement.alignX = horizontalAlignment
  placement.alignY = verticalAlignment
  self.widget:SetPlacementPlain(placement)
end
View.Point.getAlignment = function(self)
  local placement = self.widget:GetPlacementPlain ()
  return { alignX = placement.alignX, alignY = placement.alignY }
end
