--------------------------------------------------------------------------------
--- Locals
--------------------------------------------------------------------------------
local bufftextures = { }
--------------------------------------------------------------------------------
--- Functions
--------------------------------------------------------------------------------
function SetBuffTexture(name, textureId)  
  for k, v in bufftextures do
    if common.CompareWString(name, k) == 0 then
	  bufftextures[k] = textureId
	  return
	end
  end
  bufftextures[name] = textureId
end
function GetBuffTexture(name)
  for k, v in bufftextures do
    if common.CompareWString(name, k) == 0 then
	  return v
	end
  end
  return nil
end
--------------------------------------------------------------------------------
--- EVENTS
--------------------------------------------------------------------------------
common.RegisterEventHandler(function(params)
  local buffInfo = object.GetBuffInfo(params.buffId)
  SetBuffTexture(buffInfo.name, buffInfo.texture)
end, "EVENT_OBJECT_BUFF_ADDED")
